#1511 FTP ConcurrentModificationException

None
closed-out-of-date
nobody
None
5
2014-12-01
2011-12-17
No

Hi, in FTP plugin for some reason that I do not understand I cannot browse my ftp server

First I get this exception
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: java.net.SocketException: Connection reset
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.net.SocketInputStream.read(SocketInputStream.java:189)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.net.SocketInputStream.read(SocketInputStream.java:121)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:283)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:325)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:177)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.io.InputStreamReader.read(InputStreamReader.java:184)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.io.BufferedReader.fill(BufferedReader.java:154)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.io.BufferedReader.readLine(BufferedReader.java:317)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.io.BufferedReader.readLine(BufferedReader.java:382)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at com.fooware.net.FtpResponse.setMessage(FtpResponse.java:194)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at com.fooware.net.FtpResponse.<init>(FtpResponse.java:35)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at com.fooware.net.FtpClient.setResponse(FtpClient.java:962)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at com.fooware.net.FtpClient.sendCommand(FtpClient.java:73)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at com.fooware.net.FtpClient.passive(FtpClient.java:285)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at ftp.FtpConnection.setupSocket(FtpConnection.java:392)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at ftp.FtpConnection._listDirectory(FtpConnection.java:405)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at ftp.FtpConnection.listDirectory(FtpConnection.java:126)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at ftp.FtpVFS._listFiles(FtpVFS.java:225)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at org.gjt.sp.jedit.browser.ListDirectoryBrowserTask._run(ListDirectoryBrowserTask.java:74)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at org.gjt.sp.util.Task.run(Task.java:63)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
10:22:27 [jEdit Worker #2] [error] ListDirectoryBrowserTask: at java.lang.Thread.run(Thread.java:722)
10:22:27 [jEdit Worker #2] [error] ErrorListDialog$ErrorEntry: ftp://hoyo@ftpperso.free.fr:21/~/:
10:22:27 [jEdit Worker #2] [error] ErrorListDialog$ErrorEntry: Cannot list directory: java.net.SocketException: Connection reset

And if I try again I have this

10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: java.util.ConcurrentModificationException
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at java.util.ArrayList$Itr.checkForComodification(ArrayList.java:819)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at java.util.ArrayList$Itr.next(ArrayList.java:791)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at ftp.ConnectionManager.getConnection(ConnectionManager.java:298)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at ftp.FtpVFS.getConnection(FtpVFS.java:500)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at ftp.FtpVFS._listFiles(FtpVFS.java:221)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at org.gjt.sp.jedit.browser.ListDirectoryBrowserTask._run(ListDirectoryBrowserTask.java:74)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at org.gjt.sp.util.Task.run(Task.java:63)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
10:22:39 [jEdit Worker #3] [error] ListDirectoryBrowserTask: at java.lang.Thread.run(Thread.java:722)

Discussion

  • Alan Ezust

    Alan Ezust - 2014-04-19

    Is this still an issue? Do I need a specific kind of server to reproduce it?

     
  • Alan Ezust

    Alan Ezust - 2014-07-30
    • status: open --> pending
    • Group: -->
     
  • Alan Ezust

    Alan Ezust - 2014-07-30

    What version of FTP? Are there steps to reproduce? What kind of server?
    Marking as pending since this report is incomplete.

     
  • Alan Ezust

    Alan Ezust - 2014-12-01
    • status: pending --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks